org.appng.appngizer.model

## Class Subject

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Subject
      - - org.appng.appngizer.model.Subject

- All Implemented Interfaces:
    UriAware

      public class Subject
      extends Subject
      implements UriAware

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.model.xml.Subject

      `description, digest, email, expiryDate, failedLoginAttempts, groups, language, lastLogin, locked, passwordChangePolicy, realName, timeZone, type`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Subject()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Subject` | `fromDomain(Subject subjectImpl, boolean setDigest)`
    `static SubjectImpl` | `toDomain(Subject s)`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Subject

      `getDescription, getDigest, getEmail, getExpiryDate, getFailedLoginAttempts, getGroups, getLanguage, getLastLogin, getPasswordChangePolicy, getRealName, getTimeZone, getType, isLocked, setDescription, setDigest, setEmail, setExpiryDate, setFailedLoginAttempts, setGroups, setLanguage, setLastLogin, setLocked, setPasswordChangePolicy, setRealName, setTimeZone, setType`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.appngizer.model.UriAware

      `addLink, applyUriComponents, encode, getLinks, getSelf, setLinks, setSelf`

- - ### Constructor Detail

    - #### Subject

          public Subject()

  - ### Method Detail

    - #### toDomain

          public static SubjectImpl toDomain(Subject s)

    - #### fromDomain

          public static Subject fromDomain(Subject subjectImpl,
                                           boolean setDigest)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.